/*
 * Copyright (c) 2005-2006 Tom N Harris.
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     A copy of the GNU General Public License can be found at
 *     http://www.gnu.org/
 *
 * Written by Tom N Harris <telliamed@whoopdedo.org>
 *
 */

#include "globals.h"

const char rdf_vi_namespace[] = "http://whoopdedo.org/versioninfo#";
unsigned long sizeof_rdf_vi_namespace = sizeof(rdf_vi_namespace);
const char rdf_vi_installsoftware[] = "http://whoopdedo.org/versioninfo#install-software";
unsigned long sizeof_rdf_vi_installsoftware = sizeof(rdf_vi_installsoftware);
const char rdf_vi_installdescription[] = "http://whoopdedo.org/versioninfo#install-description";
unsigned long sizeof_rdf_vi_installdescription= sizeof(rdf_vi_installdescription);
const char rdf_vi_software[] = "http://whoopdedo.org/versioninfo#Software";
unsigned long sizeof_rdf_vi_software = sizeof(rdf_vi_software);
const char rdf_vi_install[] = "http://whoopdedo.org/versioninfo#Install";
unsigned long sizeof_rdf_vi_install = sizeof(rdf_vi_install);
const char rdf_vi_target[] = "http://whoopdedo.org/versioninfo#Target";
unsigned long sizeof_rdf_vi_target = sizeof(rdf_vi_target);
const char rdf_vi_dependency[] = "http://whoopdedo.org/versioninfo#Dependency";
unsigned long sizeof_rdf_vi_dependency = sizeof(rdf_vi_dependency);
const char rdf_vi_installfile[] = "http://whoopdedo.org/versioninfo#InstallFile";
unsigned long sizeof_rdf_vi_installfile = sizeof(rdf_vi_installfile);
const char rdf_vi_installdir[] = "http://whoopdedo.org/versioninfo#InstallDir";
unsigned long sizeof_rdf_vi_installdir = sizeof(rdf_vi_installdir);
const char rdf_vi_source[] = "http://whoopdedo.org/versioninfo#Source";
unsigned long sizeof_rdf_vi_source = sizeof(rdf_vi_source);
const char rdf_vi_destination[] = "http://whoopdedo.org/versioninfo#Destination";
unsigned long sizeof_rdf_vi_destination = sizeof(rdf_vi_destination);
const char rdf_vi_destinationflags[] = "http://whoopdedo.org/versioninfo#DestinationFlags";
unsigned long sizeof_rdf_vi_destinationflags = sizeof(rdf_vi_destinationflags);
const char rdf_vi_readonly[] = "http://whoopdedo.org/versioninfo#ReadOnly";
unsigned long sizeof_rdf_vi_readonly = sizeof(rdf_vi_readonly);
const char rdf_vi_name[] = "http://whoopdedo.org/versioninfo#Name";
unsigned long sizeof_rdf_vi_name = sizeof(rdf_vi_name);
const char rdf_vi_version[] = "http://whoopdedo.org/versioninfo#Version";
unsigned long sizeof_rdf_vi_version = sizeof(rdf_vi_version);
const char rdf_vi_backupname[] = "http://whoopdedo.org/versioninfo#BackupName";
unsigned long sizeof_rdf_vi_backupname = sizeof(rdf_vi_backupname);
const char rdf_dark_game[] = "http://www.thiefmissions.com/telliamed/darkgame#Game";
unsigned long sizeof_rdf_dark_game = sizeof(rdf_dark_game);
const char rdf_dark_installcfg[] = "http://www.thiefmissions.com/telliamed/darkgame#InstallCfg";
unsigned long sizeof_rdf_dark_installcfg = sizeof(rdf_dark_installcfg);
const char rdf_dark_preinstallcfg[] = "http://www.thiefmissions.com/telliamed/darkgame#PreInstallCfg";
unsigned long sizeof_rdf_dark_preinstallcfg = sizeof(rdf_dark_preinstallcfg);
const char rdf_dark_postinstallcfg[] = "http://www.thiefmissions.com/telliamed/darkgame#PostInstallCfg";
unsigned long sizeof_rdf_dark_postinstallcfg = sizeof(rdf_dark_postinstallcfg);
const char rdf_install_file[] = "install.rdf";
unsigned long sizeof_rdf_install_file = sizeof(rdf_install_file);

const char rdf_rdf_namespace_uri[] = "http://www.w3.org/1999/02/22-rdf-syntax-ns#";
unsigned long sizeof_rdf_rdf_namespace_uri = sizeof(rdf_rdf_namespace_uri);
const char rdf_rdf_predicate_type[] = "http://www.w3.org/1999/02/22-rdf-syntax-ns#type";
unsigned long sizeof_rdf_rdf_predicate_type = sizeof(rdf_rdf_predicate_type);
const char rdf_rdf_seq_type[] = "http://www.w3.org/1999/02/22-rdf-syntax-ns#Seq";
unsigned long sizeof_rdf_rdf_seq_type = sizeof(rdf_rdf_seq_type);
const char rdf_rdf_alt_type[] = "http://www.w3.org/1999/02/22-rdf-syntax-ns#Alt";
unsigned long sizeof_rdf_rdf_alt_type = sizeof(rdf_rdf_alt_type);
const char rdf_rdf_bag_type[] = "http://www.w3.org/1999/02/22-rdf-syntax-ns#Bag";
unsigned long sizeof_rdf_rdf_bag_type = sizeof(rdf_rdf_bag_type);
const char rdf_rdf_xmlliteral_datatype[] = "http://www.w3.org/1999/02/22-rdf-syntax-ns#XMLLiteral";
unsigned long sizeof_rdf_rdf_xmlliteral_datatype = sizeof(rdf_rdf_xmlliteral_datatype);

#ifdef UNICODE
const wchar_t dark_install_cfg_file[] = L"\\install.cfg";
const wchar_t dark_darkinst_cfg_file[] = L"\\darkinst.cfg";
const wchar_t backup_archive_file[] = L"_Restore-";
#else
const char dark_install_cfg_file[] = "\\install.cfg";
const char dark_darkinst_cfg_file[] = "\\darkinst.cfg";
const char backup_archive_file[] = "_Restore-";
#endif
